info.bioinfweb.jphyloio.formats.pde

## Enum PDEMetaColumnType

- java.lang.Object
- - java.lang.Enum<PDEMetaColumnType>
  - - info.bioinfweb.jphyloio.formats.pde.PDEMetaColumnType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PDEMetaColumnType>

      public enum PDEMetaColumnType
      extends java.lang.Enum<PDEMetaColumnType>

  The type of a meta column in the PDE format.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `NUMBER`
    `STRING`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDEMetaColumnType` | `parseColumnType(java.lang.String columnType)`
    `java.lang.String` | `toString()`
    `static PDEMetaColumnType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PDEMetaColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final PDEMetaColumnType STRING

    - #### NUMBER

          public static final PDEMetaColumnType NUMBER

    - #### FILE

          public static final PDEMetaColumnType FILE

    - #### UNKNOWN

          public static final PDEMetaColumnType UNKNOWN

  - ### Method Detail

    - #### values

          public static PDEMetaColumnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PDEMetaColumnType c : PDEMetaColumnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PDEMetaColumnType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### parseColumnType

          public static PDEMetaColumnType parseColumnType(java.lang.String columnType)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PDEMetaColumnType>`